atzlinux-store (12.5.2) unstable; urgency=medium

  [ mikeliang ]
  * feat: 增加反馈入口，一键升级
  * feat: 启动时自动刷新
  * feat: Supports categories on the top
  * feat: 支持软件包的分类
  * feat: 链接放置到右下角
  * feat: remove debug message
  * feat: 修复重复启动的问题
  * feat: 增加下载超时&优化安装版本提示

  [ xiao sheng wen ]
  * Makefile: update wget allpackages-x86_64-v12-section.json
  * 调整底部链接文字显示，增加 捐赠 链接
  * d/copyright: update year info to 2024
  * update Makefile: remove useless rm line
  * d/control: Depends: + debconf

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 01 Jun 2024 22:27:32 +0800

atzlinux-store (12.5.1.4) unstable; urgency=medium

  * d/control: Depends use python3-distutils | python3-setuptools,
    for ubuntu 24.04, see:
    https://launchpad.net/ubuntu/+source/setuptools

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 06 May 2024 23:32:40 +0800

atzlinux-store (12.5.1.3) unstable; urgency=medium

  * add d/clean
  * d/control: Build-Depends:+ png2svg
  * d/rules: add png2svg cmdline to get atzlinux-store.svg

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 28 Mar 2024 17:12:46 +0800

atzlinux-store (12.5.1.2) unstable; urgency=medium

  [ mikeliang ]
  * feat: 启动时自动刷新

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 28 Mar 2024 10:36:43 +0800

atzlinux-store (12.5.1) unstable; urgency=medium

  [ mikeliang ]
  * feat(status): 增加apt update和状态栏提示。
  * feat: 多架构支持

  [ xiao sheng wen(肖盛文) ]
  * d/copyright: update year info to 2024

 -- xiao sheng wen <xsw@atzlinux.com>  Fri, 01 Mar 2024 09:34:02 +0800

atzlinux-store (12.2.1) unstable; urgency=medium

  [ mikeliang ]
  * add README.md.

  [ xiao sheng wen ]
  * add d/docs, add README.md
  * d/control: Replaces: + atzlinux-store-a11
  * d/control: add dependency Package: atzlinux-store
  * rename install -> atzlinux-store-v12.install
  * rename docs -> atzlinux-store-v12.docs, links -> atzlinux-store-v12.links
  * update url to allpackages-{arch}-v12.json
  * rm usr/share/atzlinux-store/allpackages.json
  * update Makefile, wget allpackages-x86_64-v12.json every build
  * rm old usr/share/atzlinux-store/allpackages.json,
    install debian/allpackages.json
  * d/control: Build-Depends: + wget
  * Run wrap-and-sort -asbkt

 -- xiao sheng wen <xsw@atzlinux.com>  Thu, 02 Nov 2023 11:58:24 +0800

atzlinux-store (11.3.2.8) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * No tab in license text (routine-update)

 -- xiao sheng wen <xsw@atzlinux.com>  Wed, 01 Nov 2023 16:25:28 +0800

atzlinux-store (11.3.2.7) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * set debconf/frontend Noninteractive, debconf/priority critical

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 03 Nov 2022 23:28:00 +0800

atzlinux-store (11.3.2.6) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * add support debconf template package
  * d/control:
      - Bump Standards-Version: 4.6.1
      - update long Description use
        https://www.atzlinux.com/allpackages-x86_64.htm#add-apt-source-v11
  * 软件源 url update to https://www.atzlinux.com/allpackages-x86_64.htm

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 02 Nov 2022 18:13:15 +0800

atzlinux-store (11.3.2.5) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * add use os.environ to set env
    fix https://gitee.com/atzlinux/debian-cn/issues/I5IL6K#note_11850911_link

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 24 Jul 2022 15:52:14 +0800

atzlinux-store (11.3.2.4) unstable; urgency=medium

  [ Zenghai Liang ]
  * feat: 增加多架构支持。

  [ xiao sheng wen(肖盛文) ]
  * Revert "update atzstore.glade: name="label" add "arm64 架构""
  * Revert "atzstore.glade: url update to allpackages-arm64.htm"
  * d/control: set Architecture: to all, +Multi-Arch: foreign

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 24 Apr 2022 11:53:39 +0800

atzlinux-store (11.3.2.3) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * use os.putenv to set env DEBIAN_FRONTEND DEBCONF_NONINTERACTIVE_SEEN
    fix: https://gitee.com/mikeliang/atzlinux-store/issues/I3SMWC

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 09 Apr 2022 20:17:48 +0800

atzlinux-store (11.3.2.2) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * usr/lib/python3/dist-packages/atzstore/aptworker.py:
    + env['DEBCONF_NONINTERACTIVE_SEEN'] = 'true'
    fix: https://gitee.com/mikeliang/atzlinux-store/issues/I3SMWC
  * d/control:
      - Bump Standards-Version: 4.5.1
      - Architecture set to amd64
      - add Breaks: Conflicts: Replaces: atzlinux-store-a11
  * d/copyright: update year info to 2022

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 09 Apr 2022 17:06:31 +0800

atzlinux-store (0.1.13) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * atzstore.glade:
     - url update to allpackages-arm64.htm
     - name="label" add "arm64 架构"
  * d/control:
      - updaet Depends: atzlinux-v11-archive-keyring
      - update Description: to v11

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 11 Mar 2022 10:33:20 +0800

atzlinux-store (0.1.12) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * deb11 not use buster-backports

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 18 Feb 2022 10:33:29 +0800

atzlinux-store (0.1.11) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * add d/gbp.conf, use debian-branch = atzlinux/latest
  * d/copyright: update year info to 2022
  * d/control: Architecture: any, Package rename to atzlinux-store-a11
  * d/control: add Replaces: Conflicts: Breaks: fields
  * url use allpackages-arm64.json

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 05 Feb 2022 21:05:21 +0800

atzlinux-store (0.1.10) unstable; urgency=medium

  [ Zenghai ]
  * fix: https://gitee.com/mikeliang/atzlinux-store/issues/I26V3B

 -- xiao sheng wen <xsw@atzlinux.com>  Sat, 28 Nov 2020 09:15:48 +0800

atzlinux-store (0.1.9) unstable; urgency=medium

  [ xiao sheng wen (肖盛文) ]
  * d/control: Depends: + buster-apt-atzlinux
  * add new email: xsw@atzlinux.com for Uploaders
  * fix icon file name
  * 增加图标符号链接，让程序界面左上角显示图标

 -- xiao sheng wen <xsw@atzlinux.com>  Thu, 05 Nov 2020 11:09:45 +0800

atzlinux-store (0.1.8) unstable; urgency=medium

  [ Zenghai ]
  * 移除pidfile，并将日志和 pid 文件放到用户家目录
  * 去除 psutil 的依赖
  * 创建目录代码提前

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 25 Oct 2020 10:53:07 +0800

atzlinux-store (0.1.7) unstable; urgency=medium

  [ Zenghai ]
  * feat: 增加描述链接显示
  * 修复链接打开失败问题
  * 使用普通用户权限打开UI
  * 删除无用的 override
  * 解决普通用户下日志文件权限问题

  [ xiao sheng wen (肖盛文) ]
  * 将 描述 修改为 备注, 和网页一致
  * 在界面顶部增加 铜豌豆 Linux 软件源网站 链接
  * d/control: 设置依赖 atzlinux-update-patch 软件包，版本号大于 1.1.19 版本
    在该版本中，会创建 /var/run/atzlinux 目录用于给所有 atzlinux
    项目的程序放置 pid 文件。
  * 将 pid 文件放置为：/var/run/atzlinux/store.pid

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 22 Oct 2020 11:46:04 +0800

atzlinux-store (0.1.6) unstable; urgency=medium

  [ Zenghai Liang ]
  * 消息模式优化
  * 安装依赖库到全局模块目录
  * 增加日志详情查看；界面提取成独立文件；单实例启动模式；代码优化

  [ 肖盛文 ]
  * d/control: fix lintian: duplicate-contact Uploaders atzlinux@yeah.net

  [ Zenghai Liang ]
  * 日志文件设置在 /var/log/atzlinux

  [ Zenghai ]
  * 增加日志目录定义能力
  * 调整日志及目录结构
  * script-without-interpreter
  * lintian 修复

  [ 肖盛文 ]
  * d/control: Depends: + python3-psutil
  * d/control: Depends: - python3-requests
  * use dh-python to build package

  [ Zenghai ]
  * 修复搜索问题；修复wine软件安装问题；使用自定义图标
  * 去除gettext依赖
  * 关闭窗口用更柔和的方式中止apt

  [ 肖盛文 ]
  * Depends: + gir1.2-gtk-3.0
  * Depends: - python-gtk2

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 10 Oct 2020 17:00:20 +0800

atzlinux-store (0.1.5) unstable; urgency=medium

  [ Faris Xiao ]
  * Bumped Standards-Version to 4.5.0
  * Bumped debhelper-compat-version to 13

  [ mikeliang ]
  * Add depends: python3-requests
  * 新建 pixmaps

  [ liangzenghai ]
  * feat: add atzlinux-store icon

  [ 肖盛文 ]
  * d/control:
      - fix lintian: duplicate-contact Uploaders atzlinux@yeah.net
      - Uploaders: + xiao sheng wen <atzlinux@sina.com>
      - Depends: + python-gtk2,修复在精简版无法启动

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 02 Oct 2020 23:15:37 +0800

atzlinux-store (0.1.4) unstable; urgency=medium

  [ Faris Xiao ]
  * Fix: https://gitee.com/mikeliang/atzlinux-store/issues/I1DO18

  [ combbs@gmail.com ]
  * 增加日志记录，增加新版本界面

  [ Faris Xiao ]
  * Bumped Standards-Version to 4.5.0
  * Bumped debhelper-compat-version to 13

  [ combbs@gmail.com ]
  * feat: 优化安装卸载时的提示
  * feat: 删除无用的status显示

  [ 肖盛文 ]
  * update zh_CN.po
  * d/control:
     - Build-Depends: + gettext
     - delete trailing-whitespace
  * d/rules:
     - delete trailing-whitespace
  * update pot,po files;add update-po.sh
  * pygettext ../usr/bin/atzlinux-store -o atzlinux-store.pot
  * fix lintian:
     - debian-control-has-empty-field
     - debian-control-has-empty-field
     - description-synopsis-might-not-be-phrased-properly
     - binary-control-field-duplicates-source
  * add Keywords for atzlinux-store.desktop

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 12 Jun 2020 11:48:03 +0800

atzlinux-store (0.1.3) unstable; urgency=medium

  [ Faris Xiao ]
  * Fix: https://gitee.com/mikeliang/atzlinux-store/issues/I1DO18
  * +Standards-Version: 4.5.0
  * Bumped debhelper-compat-version to 12
  * Update changelog for 0.1.3 release

  [ 肖盛文 ]
  * 增加上传者姓名拼音
  * Update changelog for 0.1.3 release
  * fix lintian:no-newline-at-end debian/rules

 -- xiao sheng wen <atzlinux@yeah.net>  Mon, 13 Apr 2020 11:28:47 +0800

atzlinux-store (0.1.2) unstable; urgency=medium

  [ Faris Xiao ]
  * change git repo to https://gitee.com/atzlinux/atzlinux-store.git
  * +virtualbox 虚拟机
  * Trim trailing whitespace

  [ combbs@gmail.com ]
  * Feat: 增加 JSON 支持，微调界面

  [ Zenghai Liang ]
  * Fix: lintian issue

 -- 肖盛文 <atzlinux@yeah.net>  Thu, 02 Apr 2020 20:49:06 +0800

atzlinux-store (0.1.1) unstable; urgency=medium

  [ Faris Xiao ]
  * Fix: https://gitee.com/mikeliang/atzlinux-store/issues/I1CBP0#note_2350330
  * Fix: https://gitee.com/mikeliang/atzlinux-store/issues/I1CBP0#note_2350180
  * 菜单图标，默认使用 新立得 图标：synaptic
  * 增加上传者姓名信息
  * 增加 pkexec 所在软件包依赖
  * 消除 lintian 检查报错
  * 调整 root 密码输入弹出框 vendor 名称，中文显示
  * 软件包描述增加安装说明指引

  [ wo ]
  * 启用多线程模型

  [ combbs@gmail.com ]
  * 支持捕捉apt update错误并忽略
  * 增加翻译，修复 https://gitee.com/mikeliang/atzlinux-store/issues/I1CCGX https://gitee.com/mikeliang/atzlinux-store/issues/I1CCII https://gitee.com/mikeliang/atzlinux-store/issues/I1CCIX https://gitee.com/mikeliang/atzlinux-store/issues/I1CDSJ

  [ Faris Xiao ]
  * 版本号，两头两尾，增加一个半角英文空格

  [ Zenghai Liang ]
  * 增加msgfmt编译脚本及makefile
  * pylintrc and code style

  [ Faris Xiao ]
  * 删除 mo 文件，已经由 Makefile 文件自动根据 po 文件生成

  [ 肖盛文 ]
  * 增加 clean 规则，清理编译过程中产生的 locale mo 文件

 -- 肖盛文 <atzlinux@yeah.net>  Fri, 27 Mar 2020 10:20:26 +0800

atzlinux-store (0.1.0) unstable; urgency=medium

  [ combbs@gmail.com ]
  * Init version

 -- Zenghai Liang <combbs@gmail.com>  Sun, 22 Mar 2020 22:01:28 +0800
